
<!-- markdownlint-disable MD041 -->
<p align="left"><img src="https://vulkan.lunarg.com/img/NewLunarGLogoBlack.png" alt="LunarG" width=263 height=113 /></p>
<p align="left">Copyright (c) 2021-2024 LunarG, Inc.</p>

<p align="center"><img src="./images/logo.png" width=400 /></p>

[![Creative Commons][3]][4]

[3]: https://i.creativecommons.org/l/by-nd/4.0/88x31.png "Creative Commons License"
[4]: https://creativecommons.org/licenses/by-nd/4.0/

# Vulkan Profiles Definitions

## Vulkan Profiles List

| Profiles | VP_KHR_roadmap_2022 | VP_KHR_roadmap_2024 | VP_ANDROID_baseline_2021 | VP_ANDROID_baseline_2022 | VP_LUNARG_minimum_requirements_1_0 | VP_LUNARG_minimum_requirements_1_1 | VP_LUNARG_minimum_requirements_1_2 | VP_LUNARG_minimum_requirements_1_3 |
|----------|---------------------|---------------------|--------------------------|--------------------------|------------------------------------|------------------------------------|------------------------------------|------------------------------------|
| Label | Khronos Vulkan Roadmap 2022 profile | Khronos Vulkan Roadmap 2024 profile | Android Vulkan Baseline 2021 profile | Android Vulkan Baseline 2022 profile | Vulkan Core 1.0 Minimum Requirements | Vulkan Core 1.1 Minimum Requirements | Vulkan Core 1.2 Minimum Requirements | Vulkan Core 1.3 Minimum Requirements |
| Description | This roadmap profile is intended to be supported by newer devices shipping in 2022 across mainstream smartphone, tablet, laptops, console and desktop devices. | This roadmap profile is intended to be supported by newer devices shipping in 2024 across mainstream smartphone, tablet, laptops, console and desktop devices. | Collection of functionality that is broadly supported on Android | Collection of functionality that is broadly supported on Android | Vulkan Core 1.0 Minimum Requirements. | Vulkan Core 1.1 Minimum Requirements. | Vulkan Core 1.2 Minimum Requirements. | Vulkan Core 1.3 Minimum Requirements. |
| Version | 1 | 1 | 3 | 2 | 1 | 1 | 1 | 1 |
| Required API version | 1.3.204 | 1.3.276 | 1.0.68 | 1.1.106 | 1.0.68 | 1.1.108 | 1.2.131 | 1.3.204 |
| Required profiles |  | VP_KHR_roadmap_2022 |  |  |  |  |  |  |
| Fallback profiles | - | - | - | - | - | - | - | - |

## Vulkan Profiles Extensions

* :heavy_check_mark: indicates that the extension is defined in the profile
* "X.X Core" indicates that the extension is not defined in the profile but the extension is promoted to the specified core API version that is smaller than or equal to the minimum required API version of the profile
* :x: indicates that the extension is neither defined in the profile nor it is promoted to a core API version that is smaller than or equal to the minimum required API version of the profile

| Profiles | VP_KHR_roadmap_2022 | VP_KHR_roadmap_2024 | VP_ANDROID_baseline_2021 | VP_ANDROID_baseline_2022 | VP_LUNARG_minimum_requirements_1_0 | VP_LUNARG_minimum_requirements_1_1 | VP_LUNARG_minimum_requirements_1_2 | VP_LUNARG_minimum_requirements_1_3 |
|----------|---------------------|---------------------|--------------------------|--------------------------|------------------------------------|------------------------------------|------------------------------------|------------------------------------|
| **Instance extensions** |
| [VK_KHR_android_surface](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_android_surface.html) | :x: | :x: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | :x: | :x: |
| [VK_KHR_device_group_creation](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_device_group_creation.html) | 1.1 Core | 1.1 Core | :x: | 1.1 Core | :x: | 1.1 Core | 1.1 Core | 1.1 Core |
| [VK_KHR_external_fence_capabilities](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_external_fence_capabilities.html) | 1.1 Core | 1.1 Core | :heavy_check_mark: | :heavy_check_mark: | :x: | 1.1 Core | 1.1 Core | 1.1 Core |
| [VK_KHR_external_memory_capabilities](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_external_memory_capabilities.html) | 1.1 Core | 1.1 Core | :heavy_check_mark: | :heavy_check_mark: | :x: | 1.1 Core | 1.1 Core | 1.1 Core |
| [VK_KHR_external_semaphore_capabilities](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_external_semaphore_capabilities.html) | 1.1 Core | 1.1 Core | :heavy_check_mark: | :heavy_check_mark: | :x: | 1.1 Core | 1.1 Core | 1.1 Core |
| [VK_KHR_get_physical_device_properties2](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_get_physical_device_properties2.html) | 1.1 Core | 1.1 Core | :heavy_check_mark: | :heavy_check_mark: | :x: | 1.1 Core | 1.1 Core | 1.1 Core |
| [VK_KHR_get_surface_capabilities2](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_get_surface_capabilities2.html) | :x: | :x: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | :x: | :x: |
| [VK_KHR_surface](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_surface.html) | :x: | :x: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | :x: | :x: |
| [VK_EXT_swapchain_colorspace](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_swapchain_colorspace.html) | :x: | :x: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | :x: | :x: |
| **Device extensions** |
| [VK_KHR_16bit_storage](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_16bit_storage.html) | 1.1 Core | 1.1 Core | :x: | 1.1 Core | :x: | 1.1 Core | 1.1 Core | 1.1 Core |
| [VK_KHR_8bit_storage](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_8bit_storage.html) | 1.2 Core | 1.2 Core | :x: | :x: | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_KHR_bind_memory2](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_bind_memory2.html) | 1.1 Core | 1.1 Core | :x: | 1.1 Core | :x: | 1.1 Core | 1.1 Core | 1.1 Core |
| [VK_KHR_buffer_device_address](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_buffer_device_address.html) | 1.2 Core | 1.2 Core | :x: | :x: | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_KHR_copy_commands2](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_copy_commands2.html) | 1.3 Core | 1.3 Core | :x: | :x: | :x: | :x: | :x: | 1.3 Core |
| [VK_KHR_create_renderpass2](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_create_renderpass2.html) | 1.2 Core | 1.2 Core | :x: | :heavy_check_mark: | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_KHR_dedicated_allocation](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_dedicated_allocation.html) | 1.1 Core | 1.1 Core | :heavy_check_mark: | :heavy_check_mark: | :x: | 1.1 Core | 1.1 Core | 1.1 Core |
| [VK_KHR_depth_stencil_resolve](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_depth_stencil_resolve.html) | 1.2 Core | 1.2 Core | :x: | :x: | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_KHR_descriptor_update_template](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_descriptor_update_template.html) | 1.1 Core | 1.1 Core | :heavy_check_mark: | :heavy_check_mark: | :x: | 1.1 Core | 1.1 Core | 1.1 Core |
| [VK_KHR_device_group](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_device_group.html) | 1.1 Core | 1.1 Core | :x: | 1.1 Core | :x: | 1.1 Core | 1.1 Core | 1.1 Core |
| [VK_KHR_draw_indirect_count](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_draw_indirect_count.html) | 1.2 Core | 1.2 Core | :x: | :x: | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_KHR_driver_properties](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_driver_properties.html) | 1.2 Core | 1.2 Core | :x: | :heavy_check_mark: | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_KHR_dynamic_rendering](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_dynamic_rendering.html) | 1.3 Core | 1.3 Core | :x: | :x: | :x: | :x: | :x: | 1.3 Core |
| [VK_KHR_dynamic_rendering_local_read](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_dynamic_rendering_local_read.html) | :x: | :heavy_check_mark: | :x: | :x: | :x: | :x: | :x: | :x: |
| [VK_KHR_external_fence](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_external_fence.html) | 1.1 Core | 1.1 Core | :heavy_check_mark: | :heavy_check_mark: | :x: | 1.1 Core | 1.1 Core | 1.1 Core |
| [VK_KHR_external_fence_fd](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_external_fence_fd.html) | :x: | :x: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | :x: | :x: |
| [VK_KHR_external_memory](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_external_memory.html) | 1.1 Core | 1.1 Core | :heavy_check_mark: | :heavy_check_mark: | :x: | 1.1 Core | 1.1 Core | 1.1 Core |
| [VK_KHR_external_semaphore](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_external_semaphore.html) | 1.1 Core | 1.1 Core | :heavy_check_mark: | :heavy_check_mark: | :x: | 1.1 Core | 1.1 Core | 1.1 Core |
| [VK_KHR_external_semaphore_fd](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_external_semaphore_fd.html) | :x: | :x: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | :x: | :x: |
| [VK_KHR_format_feature_flags2](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_format_feature_flags2.html) | 1.3 Core | 1.3 Core | :x: | :x: | :x: | :x: | :x: | 1.3 Core |
| [VK_KHR_get_memory_requirements2](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_get_memory_requirements2.html) | 1.1 Core | 1.1 Core | :heavy_check_mark: | :heavy_check_mark: | :x: | 1.1 Core | 1.1 Core | 1.1 Core |
| [VK_KHR_global_priority](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_global_priority.html) | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | :x: | :x: | :x: | :x: |
| [VK_KHR_image_format_list](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_image_format_list.html) | 1.2 Core | 1.2 Core | :x: | :x: | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_KHR_imageless_framebuffer](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_imageless_framebuffer.html) | 1.2 Core | 1.2 Core | :x: | :x: | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_KHR_incremental_present](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_incremental_present.html) | :x: | :x: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | :x: | :x: |
| [VK_KHR_index_type_uint8](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_index_type_uint8.html) | :x: | :heavy_check_mark: | :x: | :x: | :x: | :x: | :x: | :x: |
| [VK_KHR_line_rasterization](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_line_rasterization.html) | :x: | :heavy_check_mark: | :x: | :x: | :x: | :x: | :x: | :x: |
| [VK_KHR_load_store_op_none](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_load_store_op_none.html) | :x: | :heavy_check_mark: | :x: | :x: | :x: | :x: | :x: | :x: |
| [VK_KHR_maintenance1](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_maintenance1.html) | 1.1 Core | 1.1 Core | :heavy_check_mark: | :heavy_check_mark: | :x: | 1.1 Core | 1.1 Core | 1.1 Core |
| [VK_KHR_maintenance2](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_maintenance2.html) | 1.1 Core | 1.1 Core | :x: | 1.1 Core | :x: | 1.1 Core | 1.1 Core | 1.1 Core |
| [VK_KHR_maintenance3](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_maintenance3.html) | 1.1 Core | 1.1 Core | :x: | 1.1 Core | :x: | 1.1 Core | 1.1 Core | 1.1 Core |
| [VK_KHR_maintenance4](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_maintenance4.html) | 1.3 Core | 1.3 Core | :x: | :x: | :x: | :x: | :x: | 1.3 Core |
| [VK_KHR_maintenance5](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_maintenance5.html) | :x: | :heavy_check_mark: | :x: | :x: | :x: | :x: | :x: | :x: |
| [VK_KHR_map_memory2](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_map_memory2.html) | :x: | :heavy_check_mark: | :x: | :x: | :x: | :x: | :x: | :x: |
| [VK_KHR_multiview](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_multiview.html) | 1.1 Core | 1.1 Core | :x: | 1.1 Core | :x: | 1.1 Core | 1.1 Core | 1.1 Core |
| [VK_KHR_push_descriptor](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_push_descriptor.html) | :x: | :heavy_check_mark: | :x: | :x: | :x: | :x: | :x: | :x: |
| [VK_KHR_relaxed_block_layout](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_relaxed_block_layout.html) | 1.1 Core | 1.1 Core | :x: | 1.1 Core | :x: | 1.1 Core | 1.1 Core | 1.1 Core |
| [VK_KHR_sampler_mirror_clamp_to_edge](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_sampler_mirror_clamp_to_edge.html) | 1.2 Core | 1.2 Core | :x: | :heavy_check_mark: | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_KHR_sampler_ycbcr_conversion](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_sampler_ycbcr_conversion.html) | 1.1 Core | 1.1 Core | :x: | 1.1 Core | :x: | 1.1 Core | 1.1 Core | 1.1 Core |
| [VK_KHR_separate_depth_stencil_layouts](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_separate_depth_stencil_layouts.html) | 1.2 Core | 1.2 Core | :x: | :x: | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_KHR_shader_atomic_int64](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_shader_atomic_int64.html) | 1.2 Core | 1.2 Core | :x: | :x: | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_KHR_shader_draw_parameters](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_shader_draw_parameters.html) | 1.1 Core | 1.1 Core | :x: | 1.1 Core | :x: | 1.1 Core | 1.1 Core | 1.1 Core |
| [VK_KHR_shader_expect_assume](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_shader_expect_assume.html) | :x: | :heavy_check_mark: | :x: | :x: | :x: | :x: | :x: | :x: |
| [VK_KHR_shader_float16_int8](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_shader_float16_int8.html) | 1.2 Core | 1.2 Core | :x: | :x: | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_KHR_shader_float_controls](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_shader_float_controls.html) | 1.2 Core | 1.2 Core | :x: | :x: | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_KHR_shader_float_controls2](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_shader_float_controls2.html) | :x: | :heavy_check_mark: | :x: | :x: | :x: | :x: | :x: | :x: |
| [VK_KHR_shader_integer_dot_product](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_shader_integer_dot_product.html) | 1.3 Core | 1.3 Core | :x: | :x: | :x: | :x: | :x: | 1.3 Core |
| [VK_KHR_shader_maximal_reconvergence](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_shader_maximal_reconvergence.html) | :x: | :heavy_check_mark: | :x: | :x: | :x: | :x: | :x: | :x: |
| [VK_KHR_shader_non_semantic_info](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_shader_non_semantic_info.html) | 1.3 Core | 1.3 Core | :x: | :x: | :x: | :x: | :x: | 1.3 Core |
| [VK_KHR_shader_quad_control](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_shader_quad_control.html) | :x: | :heavy_check_mark: | :x: | :x: | :x: | :x: | :x: | :x: |
| [VK_KHR_shader_subgroup_extended_types](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_shader_subgroup_extended_types.html) | 1.2 Core | 1.2 Core | :x: | :x: | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_KHR_shader_subgroup_rotate](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_shader_subgroup_rotate.html) | :x: | :heavy_check_mark: | :x: | :x: | :x: | :x: | :x: | :x: |
| [VK_KHR_shader_subgroup_uniform_control_flow](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_shader_subgroup_uniform_control_flow.html) | :x: | :heavy_check_mark: | :x: | :x: | :x: | :x: | :x: | :x: |
| [VK_KHR_shader_terminate_invocation](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_shader_terminate_invocation.html) | 1.3 Core | 1.3 Core | :x: | :x: | :x: | :x: | :x: | 1.3 Core |
| [VK_KHR_spirv_1_4](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_spirv_1_4.html) | 1.2 Core | 1.2 Core | :x: | :x: | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_KHR_storage_buffer_storage_class](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_storage_buffer_storage_class.html) | 1.1 Core | 1.1 Core | :heavy_check_mark: | :heavy_check_mark: | :x: | 1.1 Core | 1.1 Core | 1.1 Core |
| [VK_KHR_swapchain](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_swapchain.html) | :x: | :x: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | :x: | :x: |
| [VK_KHR_synchronization2](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_synchronization2.html) | 1.3 Core | 1.3 Core | :x: | :x: | :x: | :x: | :x: | 1.3 Core |
| [VK_KHR_timeline_semaphore](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_timeline_semaphore.html) | 1.2 Core | 1.2 Core | :x: | :x: | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_KHR_uniform_buffer_standard_layout](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_uniform_buffer_standard_layout.html) | 1.2 Core | 1.2 Core | :x: | :x: | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_KHR_variable_pointers](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_variable_pointers.html) | 1.1 Core | 1.1 Core | :heavy_check_mark: | :heavy_check_mark: | :x: | 1.1 Core | 1.1 Core | 1.1 Core |
| [VK_KHR_vertex_attribute_divisor](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_vertex_attribute_divisor.html) | :x: | :heavy_check_mark: | :x: | :x: | :x: | :x: | :x: | :x: |
| [VK_KHR_vulkan_memory_model](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_vulkan_memory_model.html) | 1.2 Core | 1.2 Core | :x: | :x: | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_KHR_zero_initialize_workgroup_memory](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_KHR_zero_initialize_workgroup_memory.html) | 1.3 Core | 1.3 Core | :x: | :x: | :x: | :x: | :x: | 1.3 Core |
| [VK_EXT_4444_formats](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_4444_formats.html) | 1.3 Core | 1.3 Core | :x: | :x: | :x: | :x: | :x: | 1.3 Core |
| [VK_EXT_descriptor_indexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_descriptor_indexing.html) | 1.2 Core | 1.2 Core | :x: | :x: | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_EXT_extended_dynamic_state](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_extended_dynamic_state.html) | 1.3 Core | 1.3 Core | :x: | :x: | :x: | :x: | :x: | 1.3 Core |
| [VK_EXT_extended_dynamic_state2](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_extended_dynamic_state2.html) | 1.3 Core | 1.3 Core | :x: | :x: | :x: | :x: | :x: | 1.3 Core |
| [VK_EXT_host_query_reset](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_host_query_reset.html) | 1.2 Core | 1.2 Core | :x: | :x: | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_EXT_image_robustness](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_image_robustness.html) | 1.3 Core | 1.3 Core | :x: | :x: | :x: | :x: | :x: | 1.3 Core |
| [VK_EXT_inline_uniform_block](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_inline_uniform_block.html) | 1.3 Core | 1.3 Core | :x: | :x: | :x: | :x: | :x: | 1.3 Core |
| [VK_EXT_pipeline_creation_cache_control](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_pipeline_creation_cache_control.html) | 1.3 Core | 1.3 Core | :x: | :x: | :x: | :x: | :x: | 1.3 Core |
| [VK_EXT_pipeline_creation_feedback](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_pipeline_creation_feedback.html) | 1.3 Core | 1.3 Core | :x: | :x: | :x: | :x: | :x: | 1.3 Core |
| [VK_EXT_private_data](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_private_data.html) | 1.3 Core | 1.3 Core | :x: | :x: | :x: | :x: | :x: | 1.3 Core |
| [VK_EXT_queue_family_foreign](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_queue_family_foreign.html) | :x: | :x: | :x: | :heavy_check_mark: | :x: | :x: | :x: | :x: |
| [VK_EXT_sampler_filter_minmax](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_sampler_filter_minmax.html) | 1.2 Core | 1.2 Core | :x: | :x: | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_EXT_scalar_block_layout](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_scalar_block_layout.html) | 1.2 Core | 1.2 Core | :x: | :x: | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_EXT_separate_stencil_usage](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_separate_stencil_usage.html) | 1.2 Core | 1.2 Core | :x: | :x: | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_EXT_shader_demote_to_helper_invocation](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_shader_demote_to_helper_invocation.html) | 1.3 Core | 1.3 Core | :x: | :x: | :x: | :x: | :x: | 1.3 Core |
| [VK_EXT_shader_viewport_index_layer](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_shader_viewport_index_layer.html) | 1.2 Core | 1.2 Core | :x: | :x: | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_EXT_subgroup_size_control](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_subgroup_size_control.html) | 1.3 Core | 1.3 Core | :x: | :x: | :x: | :x: | :x: | 1.3 Core |
| [VK_EXT_texel_buffer_alignment](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_texel_buffer_alignment.html) | 1.3 Core | 1.3 Core | :x: | :x: | :x: | :x: | :x: | 1.3 Core |
| [VK_EXT_texture_compression_astc_hdr](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_texture_compression_astc_hdr.html) | 1.3 Core | 1.3 Core | :x: | :x: | :x: | :x: | :x: | 1.3 Core |
| [VK_EXT_tooling_info](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_tooling_info.html) | 1.3 Core | 1.3 Core | :x: | :x: | :x: | :x: | :x: | 1.3 Core |
| [VK_EXT_ycbcr_2plane_444_formats](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_EXT_ycbcr_2plane_444_formats.html) | 1.3 Core | 1.3 Core | :x: | :x: | :x: | :x: | :x: | 1.3 Core |
| [VK_AMD_draw_indirect_count](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_AMD_draw_indirect_count.html) | 1.2 Core | 1.2 Core | :x: | :x: | :x: | :x: | 1.2 Core | 1.2 Core |
| [VK_ANDROID_external_memory_android_hardware_buffer](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_ANDROID_external_memory_android_hardware_buffer.html) | :x: | :x: | :x: | :heavy_check_mark: | :x: | :x: | :x: | :x: |
| [VK_GOOGLE_display_timing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VK_GOOGLE_display_timing.html) | :x: | :x: | :heavy_check_mark: | :heavy_check_mark: | :x: | :x: | :x: | :x: |

## Vulkan Profile Features

> **NOTE**: The table below only contains features explicitly defined by the corresponding profile. Further features may be supported by the profiles in accordance to the requirements defined in the "Feature Requirements" section of the appropriate version of the Vulkan API Specification.

* :heavy_check_mark: indicates that the feature is defined in the profile (hover over the symbol to view the structure and corresponding extension or core API version where the feature is defined in the profile)
* :warning: indicates that the feature is not defined in the profile but an equivalent feature is (hover over the symbol to view the structure and corresponding extension or core API version where the feature is defined in the profile)
* :x: indicates that neither the feature nor an equivalent feature is defined in the profile

| Profiles | VP_KHR_roadmap_2022 | VP_KHR_roadmap_2024 | VP_ANDROID_baseline_2021 | VP_ANDROID_baseline_2022 | VP_LUNARG_minimum_requirements_1_0 | VP_LUNARG_minimum_requirements_1_1 | VP_LUNARG_minimum_requirements_1_2 | VP_LUNARG_minimum_requirements_1_3 |
|----------|---------------------|---------------------|--------------------------|--------------------------|------------------------------------|------------------------------------|------------------------------------|------------------------------------|
| **Vulkan 1.0** |
| [depthBiasClamp](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [depthClamp](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | :x: |
| [drawIndirectFirstInstance](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | :x: |
| [fragmentStoresAndAtomics](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [fullDrawIndexUint32](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [imageCubeArray](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [independentBlend](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [largePoints](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [multiDrawIndirect](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | :x: |
| [occlusionQueryPrecise](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | :x: |
| [robustBufferAccess](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> |
| [sampleRateShading](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [samplerAnisotropy](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | :x: |
| [shaderImageGatherExtended](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | :x: |
| [shaderInt16](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [shaderSampledImageArrayDynamicIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [shaderStorageBufferArrayDynamicIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [shaderStorageImageArrayDynamicIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [shaderStorageImageExtendedFormats](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | :x: |
| [shaderUniformBufferArrayDynamicIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [textureCompressionASTC_LDR](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | :x: | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [textureCompressionETC2](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFeatures.html) | :x: | :x: | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceFeatures (Vulkan 1.0)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| **Vulkan 1.1** |
| [multiview](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceMultiviewFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:heavy_check_mark:</span> | :x: | <span title="defined in VkPhysicalDeviceMultiviewFeatures (Vulkan 1.1)">:heavy_check_mark:</span> | :x: | <span title="defined in VkPhysicalDeviceMultiviewFeatures (Vulkan 1.1)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:heavy_check_mark:</span> |
| [samplerYcbcrConversion](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSamplerYcbcrConversionFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:heavy_check_mark:</span> | :x: | <span title="defined in VkPhysicalDeviceSamplerYcbcrConversionFeatures (Vulkan 1.1)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [shaderDrawParameters](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderDrawParametersFeatures.html) | :x: | <span title="defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:heavy_check_mark:</span> | :x: | <span title="defined in VkPhysicalDeviceShaderDrawParametersFeatures (Vulkan 1.1)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [storageBuffer16BitAccess](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDevice16BitStorageFeatures.html) | :x: | <span title="defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | :x: |
| [variablePointers](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVariablePointersFeatures.html) | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceVariablePointersFeatures (Vulkan 1.1)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| [variablePointersStorageBuffer](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVariablePointersFeatures.html) | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceVariablePointersFeatures (Vulkan 1.1)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: |
| **Vulkan 1.2** |
| [bufferDeviceAddress](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceBufferDeviceAddressFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> |
| [descriptorBindingPartiallyBound](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | :x: |
| [descriptorBindingSampledImageUpdateAfterBind](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | :x: |
| [descriptorBindingStorageBufferUpdateAfterBind](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | :x: |
| [descriptorBindingStorageImageUpdateAfterBind](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | :x: |
| [descriptorBindingStorageTexelBufferUpdateAfterBind](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | :x: |
| [descriptorBindingUniformTexelBufferUpdateAfterBind](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | :x: |
| [descriptorBindingUpdateUnusedWhilePending](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | :x: |
| [descriptorBindingVariableDescriptorCount](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | :x: |
| [descriptorIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVulkan12Features.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | :x: |
| [hostQueryReset](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceHostQueryResetFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> |
| [imagelessFramebuffer](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceImagelessFramebufferFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> |
| [runtimeDescriptorArray](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | :x: |
| [samplerMirrorClampToEdge](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVulkan12Features.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | :x: |
| [scalarBlockLayout](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceScalarBlockLayoutFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | :x: |
| [separateDepthStencilLayouts](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSeparateDepthStencilLayoutsFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> |
| [shaderFloat16](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderFloat16Int8Features.html) | :x: | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | :x: |
| [shaderInt8](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderFloat16Int8Features.html) | :x: | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | :x: |
| [shaderSampledImageArrayNonUniformIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | :x: |
| [shaderStorageBufferArrayNonUniformIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | :x: |
| [shaderStorageImageArrayNonUniformIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | :x: |
| [shaderStorageTexelBufferArrayDynamicIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | :x: |
| [shaderStorageTexelBufferArrayNonUniformIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | :x: |
| [shaderSubgroupExtendedTypes](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderSubgroupExtendedTypesFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> |
| [shaderUniformBufferArrayNonUniformIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | :x: |
| [shaderUniformTexelBufferArrayDynamicIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | :x: |
| [shaderUniformTexelBufferArrayNonUniformIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | :x: |
| [storageBuffer8BitAccess](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDevice8BitStorageFeatures.html) | :x: | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | :x: |
| [subgroupBroadcastDynamicId](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVulkan12Features.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> |
| [timelineSemaphore](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceTimelineSemaphoreFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> |
| [uniformBufferStandardLayout](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceUniformBufferStandardLayoutFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> |
| [vulkanMemoryModel](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVulkanMemoryModelFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> |
| [vulkanMemoryModelDeviceScope](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVulkanMemoryModelFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:heavy_check_mark:</span> |
| **Vulkan 1.3** |
| [computeFullSubgroups](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSubgroupSizeControlFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> |
| [descriptorBindingInlineUniformBlockUpdateAfterBind](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceInlineUniformBlockFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | :x: |
| [dynamicRendering](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDynamicRenderingFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> |
| [inlineUniformBlock](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceInlineUniformBlockFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> |
| [maintenance4](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceMaintenance4Features.html) | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> |
| [pipelineCreationCacheControl](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDevicePipelineCreationCacheControlFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> |
| [robustImageAccess](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceImageRobustnessFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> |
| [shaderDemoteToHelperInvocation](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderDemoteToHelperInvocationFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> |
| [shaderIntegerDotProduct](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> |
| [shaderTerminateInvocation](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderTerminateInvocationFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> |
| [shaderZeroInitializeWorkgroupMemory](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceZeroInitializeWorkgroupMemoryFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> |
| [subgroupSizeControl](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSubgroupSizeControlFeatures.html) | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> |
| [synchronization2](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSynchronization2Features.html) | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> | :x: | :x: | :x: | :x: | :x: | <span title="defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:heavy_check_mark:</span> |
| **VK_KHR_16bit_storage** |
| [storageBuffer16BitAccess](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDevice16BitStorageFeatures.html) | :x: | <span title="equivalent defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:warning:</span> | :x: | :x: | :x: | :x: | :x: | :x: |
| **VK_KHR_8bit_storage** |
| [storageBuffer8BitAccess](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDevice8BitStorageFeatures.html) | :x: | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: | :x: | :x: |
| **VK_KHR_buffer_device_address** |
| [bufferDeviceAddress](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceBufferDeviceAddressFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> |
| **VK_KHR_dynamic_rendering** |
| [dynamicRendering](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDynamicRenderingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | :x: | :x: | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> |
| **VK_KHR_imageless_framebuffer** |
| [imagelessFramebuffer](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceImagelessFramebufferFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> |
| **VK_KHR_maintenance4** |
| [maintenance4](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceMaintenance4Features.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | :x: | :x: | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> |
| **VK_KHR_multiview** |
| [multiview](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceMultiviewFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:warning:</span> | :x: | <span title="equivalent defined in VkPhysicalDeviceMultiviewFeatures (Vulkan 1.1)">:warning:</span> | :x: | <span title="equivalent defined in VkPhysicalDeviceMultiviewFeatures (Vulkan 1.1)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:warning:</span> |
| **VK_KHR_sampler_ycbcr_conversion** |
| [samplerYcbcrConversion](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSamplerYcbcrConversionFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan11Features (Vulkan 1.1)">:warning:</span> | :x: | <span title="equivalent defined in VkPhysicalDeviceSamplerYcbcrConversionFeatures (Vulkan 1.1)">:warning:</span> | :x: | :x: | :x: | :x: |
| **VK_KHR_separate_depth_stencil_layouts** |
| [separateDepthStencilLayouts](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSeparateDepthStencilLayoutsFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> |
| **VK_KHR_shader_float16_int8** |
| [shaderFloat16](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderFloat16Int8Features.html) | :x: | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: | :x: | :x: |
| [shaderInt8](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderFloat16Int8Features.html) | :x: | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: | :x: | :x: |
| **VK_KHR_shader_integer_dot_product** |
| [shaderIntegerDotProduct](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | :x: | :x: | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> |
| **VK_KHR_shader_subgroup_extended_types** |
| [shaderSubgroupExtendedTypes](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderSubgroupExtendedTypesFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> |
| **VK_KHR_shader_terminate_invocation** |
| [shaderTerminateInvocation](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderTerminateInvocationFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | :x: | :x: | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> |
| **VK_KHR_synchronization2** |
| [synchronization2](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSynchronization2Features.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | :x: | :x: | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> |
| **VK_KHR_timeline_semaphore** |
| [timelineSemaphore](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceTimelineSemaphoreFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> |
| **VK_KHR_uniform_buffer_standard_layout** |
| [uniformBufferStandardLayout](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceUniformBufferStandardLayoutFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> |
| **VK_KHR_variable_pointers** |
| [variablePointers](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVariablePointersFeatures.html) | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceVariablePointersFeatures (Vulkan 1.1)">:warning:</span> | :x: | :x: | :x: | :x: |
| [variablePointersStorageBuffer](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVariablePointersFeatures.html) | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceVariablePointersFeatures (Vulkan 1.1)">:warning:</span> | :x: | :x: | :x: | :x: |
| **VK_KHR_vulkan_memory_model** |
| [vulkanMemoryModel](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVulkanMemoryModelFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> |
| [vulkanMemoryModelDeviceScope](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVulkanMemoryModelFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> |
| **VK_KHR_zero_initialize_workgroup_memory** |
| [shaderZeroInitializeWorkgroupMemory](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceZeroInitializeWorkgroupMemoryFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | :x: | :x: | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> |
| **VK_EXT_descriptor_indexing** |
| [descriptorBindingPartiallyBound](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: | :x: | :x: |
| [descriptorBindingSampledImageUpdateAfterBind](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: | :x: | :x: |
| [descriptorBindingStorageBufferUpdateAfterBind](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: | :x: | :x: |
| [descriptorBindingStorageImageUpdateAfterBind](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: | :x: | :x: |
| [descriptorBindingStorageTexelBufferUpdateAfterBind](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: | :x: | :x: |
| [descriptorBindingUniformTexelBufferUpdateAfterBind](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: | :x: | :x: |
| [descriptorBindingUpdateUnusedWhilePending](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: | :x: | :x: |
| [descriptorBindingVariableDescriptorCount](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: | :x: | :x: |
| [runtimeDescriptorArray](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: | :x: | :x: |
| [shaderSampledImageArrayNonUniformIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: | :x: | :x: |
| [shaderStorageBufferArrayNonUniformIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: | :x: | :x: |
| [shaderStorageImageArrayNonUniformIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: | :x: | :x: |
| [shaderStorageTexelBufferArrayDynamicIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: | :x: | :x: |
| [shaderStorageTexelBufferArrayNonUniformIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: | :x: | :x: |
| [shaderUniformBufferArrayNonUniformIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: | :x: | :x: |
| [shaderUniformTexelBufferArrayDynamicIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: | :x: | :x: |
| [shaderUniformTexelBufferArrayNonUniformIndexing](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: | :x: | :x: |
| **VK_EXT_host_query_reset** |
| [hostQueryReset](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceHostQueryResetFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> |
| **VK_EXT_image_robustness** |
| [robustImageAccess](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceImageRobustnessFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | :x: | :x: | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> |
| **VK_EXT_inline_uniform_block** |
| [descriptorBindingInlineUniformBlockUpdateAfterBind](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceInlineUniformBlockFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | :x: | :x: | :x: | :x: | :x: | :x: |
| [inlineUniformBlock](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceInlineUniformBlockFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | :x: | :x: | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> |
| **VK_EXT_pipeline_creation_cache_control** |
| [pipelineCreationCacheControl](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDevicePipelineCreationCacheControlFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | :x: | :x: | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> |
| **VK_EXT_scalar_block_layout** |
| [scalarBlockLayout](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceScalarBlockLayoutFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Features (Vulkan 1.2)">:warning:</span> | :x: | :x: | :x: | :x: | :x: | :x: |
| **VK_EXT_shader_demote_to_helper_invocation** |
| [shaderDemoteToHelperInvocation](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderDemoteToHelperInvocationFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | :x: | :x: | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> |
| **VK_EXT_subgroup_size_control** |
| [computeFullSubgroups](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSubgroupSizeControlFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | :x: | :x: | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> |
| [subgroupSizeControl](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSubgroupSizeControlFeatures.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> | :x: | :x: | :x: | :x: | :x: | <span title="equivalent defined in VkPhysicalDeviceVulkan13Features (Vulkan 1.3)">:warning:</span> |

## Vulkan Profile Limits (Properties)

> **NOTE**: The table below only contains properties/limits explicitly defined by the corresponding profile. Further properties/limits may be supported by the profiles in accordance to the requirements defined in the "Limit Requirements" section of the appropriate version of the Vulkan API Specification.

* "valueWithRegularFont" indicates that the limit/property is defined in the profile (hover over the value to view the structure and corresponding extension or core API version where the limit/property is defined in the profile)
* "_valueWithItalicFont_" indicates that the limit/property is not defined in the profile but an equivalent limit/property is (hover over the symbol to view the structure and corresponding extension or core API version where the limit/property is defined in the profile)
* "-" indicates that neither the limit/property nor an equivalent limit/property is defined in the profile

| Profiles | VP_KHR_roadmap_2022 | VP_KHR_roadmap_2024 | VP_ANDROID_baseline_2021 | VP_ANDROID_baseline_2022 | VP_LUNARG_minimum_requirements_1_0 | VP_LUNARG_minimum_requirements_1_1 | VP_LUNARG_minimum_requirements_1_2 | VP_LUNARG_minimum_requirements_1_3 |
|----------|---------------------|---------------------|--------------------------|--------------------------|------------------------------------|------------------------------------|------------------------------------|------------------------------------|
| **Vulkan 1.0** |
| [bufferImageGranularity (min,mul)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">131072</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">131072</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">131072</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">131072</span> |
| [discreteQueuePriorities (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2</span> |
| [framebufferColorSampleCounts](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT | VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT | VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT | VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT | VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT | VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT | VK_SAMPLE_COUNT_4_BIT)</span> |
| [framebufferDepthSampleCounts](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT | VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT | VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT | VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT | VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT | VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT | VK_SAMPLE_COUNT_4_BIT)</span> |
| [framebufferNoAttachmentsSampleCounts](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT | VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT | VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT | VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT | VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT | VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT | VK_SAMPLE_COUNT_4_BIT)</span> |
| [framebufferStencilSampleCounts](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT | VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT | VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT | VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT | VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT | VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT | VK_SAMPLE_COUNT_4_BIT)</span> |
| [lineWidthGranularity (min,mul)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1.0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1.0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1.0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1.0</span> |
| [lineWidthRange (min-max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(1.0,1.0)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(1.0,1.0)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(1.0,1.0)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(1.0,1.0)</span> |
| [maxBoundDescriptorSets (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">7</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> |
| [maxClipDistances (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> |
| [maxColorAttachments (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">7</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> |
| [maxCombinedClipAndCullDistances (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> |
| [maxComputeSharedMemorySize (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16384</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16384</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16384</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16384</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16384</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16384</span> |
| [maxComputeWorkGroupCount (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(65535,65535,65535)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(65535,65535,65535)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(65535,65535,65535)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(65535,65535,65535)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(65535,65535,65535)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(65535,65535,65535)</span> |
| [maxComputeWorkGroupInvocations (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">128</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">128</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">128</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">128</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">128</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">128</span> |
| [maxComputeWorkGroupSize (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(256,256,64)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(256,256,64)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(128,128,64)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(128,128,64)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(128,128,64)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(128,128,64)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(128,128,64)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(128,128,64)</span> |
| [maxCullDistances (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> |
| [maxDescriptorSetInputAttachments (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> |
| [maxDescriptorSetSampledImages (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1800</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1800</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">48</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">48</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">96</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">96</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">96</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">96</span> |
| [maxDescriptorSetSamplers (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">576</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">576</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">48</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">48</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">96</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">96</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">96</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">96</span> |
| [maxDescriptorSetStorageBuffers (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">96</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">96</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">24</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">24</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">24</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">24</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">24</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">24</span> |
| [maxDescriptorSetStorageBuffersDynamic (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> |
| [maxDescriptorSetStorageImages (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">144</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">144</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">12</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">12</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">24</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">24</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">24</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">24</span> |
| [maxDescriptorSetUniformBuffers (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">90</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">90</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">36</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">36</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">72</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">72</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">72</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">72</span> |
| [maxDescriptorSetUniformBuffersDynamic (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> |
| [maxDrawIndexedIndexValue (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4294967295</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4294967295</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16777216</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16777216</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16777216</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16777216</span> |
| [maxDrawIndirectCount (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1</span> |
| [maxFragmentCombinedOutputResources (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> |
| [maxFragmentDualSrcAttachments (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> |
| [maxFragmentInputComponents (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">64</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">64</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">64</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">64</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">64</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">64</span> |
| [maxFragmentOutputAttachments (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> |
| [maxFramebufferHeight (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> |
| [maxFramebufferLayers (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> |
| [maxFramebufferWidth (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> |
| [maxGeometryInputComponents (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> |
| [maxGeometryOutputComponents (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> |
| [maxGeometryOutputVertices (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> |
| [maxGeometryShaderInvocations (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> |
| [maxGeometryTotalOutputComponents (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> |
| [maxImageArrayLayers (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2048</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2048</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> |
| [maxImageDimension1D (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8192</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8192</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> |
| [maxImageDimension2D (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8192</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8192</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> |
| [maxImageDimension3D (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">512</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">512</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> |
| [maxImageDimensionCube (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8192</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8192</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> |
| [maxInterpolationOffset (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0.4375</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0.4375</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0.0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0.0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0.0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0.0</span> |
| [maxMemoryAllocationCount (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4096</span> |
| [maxPerStageDescriptorInputAttachments (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> |
| [maxPerStageDescriptorSampledImages (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">200</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">200</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> |
| [maxPerStageDescriptorSamplers (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">64</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">64</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> |
| [maxPerStageDescriptorStorageBuffers (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">30</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">30</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> |
| [maxPerStageDescriptorStorageImages (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> |
| [maxPerStageDescriptorUniformBuffers (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">15</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">15</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">12</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">12</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">12</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">12</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">12</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">12</span> |
| [maxPerStageResources (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">200</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">200</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">44</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">44</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">128</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">128</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">128</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">128</span> |
| [maxPushConstantsSize (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">128</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">128</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">128</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">128</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">128</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">128</span> |
| [maxSampleMaskWords (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1</span> |
| [maxSamplerAllocationCount (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4000</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4000</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4000</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4000</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4000</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4000</span> |
| [maxSamplerAnisotropy (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1.0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1.0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1</span> |
| [maxSamplerLodBias (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">14</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">14</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2.0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2.0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2</span> |
| [maxStorageBufferRange (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">134217728</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">134217728</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">134217728</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">134217728</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">134217728</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">134217728</span> |
| [maxTessellationControlPerPatchOutputComponents (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> |
| [maxTessellationControlPerVertexInputComponents (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> |
| [maxTessellationControlPerVertexOutputComponents (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> |
| [maxTessellationControlTotalOutputComponents (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> |
| [maxTessellationEvaluationInputComponents (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> |
| [maxTessellationEvaluationOutputComponents (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> |
| [maxTessellationGenerationLevel (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> |
| [maxTessellationPatchSize (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> |
| [maxTexelBufferElements (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">65536</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">65536</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">65536</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">65536</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">65536</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">65536</span> |
| [maxTexelGatherOffset (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">7</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">7</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">7</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">7</span> |
| [maxTexelOffset (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">7</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">7</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">7</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">7</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">7</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">7</span> |
| [maxUniformBufferRange (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">65536</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">65536</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16384</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16384</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16384</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16384</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16384</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16384</span> |
| [maxVertexInputAttributeOffset (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2047</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2047</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2047</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2047</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2047</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2047</span> |
| [maxVertexInputAttributes (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> |
| [maxVertexInputBindingStride (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2048</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2048</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2048</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2048</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2048</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">2048</span> |
| [maxVertexInputBindings (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">16</span> |
| [maxVertexOutputComponents (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">64</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">64</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">64</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">64</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">64</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">64</span> |
| [maxViewportDimensions (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(4096,4096)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(4096,4096)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(4096,4096)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(4096,4096)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(4096,4096)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(4096,4096)</span> |
| [maxViewports (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1</span> |
| [minInterpolationOffset (min)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">-0.5</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">-0.5</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0.0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0.0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0.0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0.0</span> |
| [minMemoryMapAlignment (min,pot)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">64</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">64</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">64</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">64</span> |
| [minStorageBufferOffsetAlignment (min,pot)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> |
| [minTexelBufferOffsetAlignment (min,pot)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> |
| [minTexelGatherOffset (min)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">-8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">-8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">-8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">-8</span> |
| [minTexelOffset (min)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">-8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">-8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">-8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">-8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">-8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">-8</span> |
| [minUniformBufferOffsetAlignment (min,pot)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> |
| [mipmapPrecisionBits (bits)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">6</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">6</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> |
| [nonCoherentAtomSize (min,pot)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">256</span> |
| [pointSizeGranularity (min,mul)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1.0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1.0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1.0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">1.0</span> |
| [pointSizeRange (min-max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(1.0,511)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(1.0,1.0)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(1.0,1.0)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(1.0,1.0)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(1.0,1.0)</span> |
| [residencyNonResidentStrict](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSparseProperties.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">VK_FALSE</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">VK_FALSE</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">VK_FALSE</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">VK_FALSE</span> |
| [residencyStandard2DBlockShape](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSparseProperties.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">VK_FALSE</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">VK_FALSE</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">VK_FALSE</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">VK_FALSE</span> |
| [residencyStandard2DMultisampleBlockShape](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSparseProperties.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">VK_FALSE</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">VK_FALSE</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">VK_FALSE</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">VK_FALSE</span> |
| [residencyStandard3DBlockShape](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSparseProperties.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">VK_FALSE</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">VK_FALSE</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">VK_FALSE</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">VK_FALSE</span> |
| [sampledImageColorSampleCounts](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT | VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT | VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT | VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT | VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT | VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT | VK_SAMPLE_COUNT_4_BIT)</span> |
| [sampledImageDepthSampleCounts](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT | VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT | VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT | VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT | VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT | VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT | VK_SAMPLE_COUNT_4_BIT)</span> |
| [sampledImageIntegerSampleCounts](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT | VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT | VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT | VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT | VK_SAMPLE_COUNT_4_BIT)</span> |
| [sampledImageStencilSampleCounts](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT | VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT | VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT | VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT | VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT | VK_SAMPLE_COUNT_4_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT | VK_SAMPLE_COUNT_4_BIT)</span> |
| [sparseAddressSpaceSize (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> |
| [standardSampleLocations (exact)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">VK_TRUE</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">VK_TRUE</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">VK_TRUE</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">VK_TRUE</span> | - | - | - | - |
| [storageImageSampleCounts](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(VK_SAMPLE_COUNT_1_BIT)</span> |
| [subPixelInterpolationOffsetBits (bits)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> |
| [subPixelPrecisionBits (bits)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> |
| [subTexelPrecisionBits (bits)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">8</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">4</span> |
| [timestampComputeAndGraphics](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">VK_TRUE</span> | - | - | - | - | - | - |
| [viewportBoundsRange (min-max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(-8192,8191)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(-8192,8191)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(-8192,8192)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(-8192,8192)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(-8192,8192)</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">(-8192,8192)</span> |
| [viewportSubPixelBits (bits)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceLimits.html) | - | - | - | - | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> | <span title="defined in VkPhysicalDeviceProperties (Vulkan 1.0)">0</span> |
| **Vulkan 1.1** |
| [maxMemoryAllocationSize (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceMaintenance3Properties.html) | - | - | - | - | - | <span title="defined in VkPhysicalDeviceMaintenance3Properties (Vulkan 1.1)">1073741824</span> | <span title="defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">1073741824</span> | <span title="defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">1073741824</span> |
| [maxMultiviewInstanceIndex (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceMultiviewProperties.html) | <span title="defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">134217727</span> | <span title="defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">134217727</span> | - | <span title="defined in VkPhysicalDeviceMultiviewProperties (Vulkan 1.1)">134217727</span> | - | <span title="defined in VkPhysicalDeviceMultiviewProperties (Vulkan 1.1)">134217727</span> | <span title="defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">134217727</span> | <span title="defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">134217727</span> |
| [maxMultiviewViewCount (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceMultiviewProperties.html) | <span title="defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">6</span> | <span title="defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">6</span> | - | <span title="defined in VkPhysicalDeviceMultiviewProperties (Vulkan 1.1)">6</span> | - | <span title="defined in VkPhysicalDeviceMultiviewProperties (Vulkan 1.1)">6</span> | <span title="defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">6</span> | <span title="defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">6</span> |
| [maxPerSetDescriptors (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceMaintenance3Properties.html) | - | - | - | - | - | <span title="defined in VkPhysicalDeviceMaintenance3Properties (Vulkan 1.1)">1024</span> | <span title="defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">1024</span> | <span title="defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">1024</span> |
| [subgroupSize (max,pot)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSubgroupProperties.html) | <span title="defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">4</span> | <span title="defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">4</span> | - | - | - | <span title="defined in VkPhysicalDeviceSubgroupProperties (Vulkan 1.1)">1</span> | <span title="defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">1</span> | <span title="defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">1</span> |
| [subgroupSupportedOperations](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVulkan11Properties.html) | <span title="defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">(VK_SUBGROUP_FEATURE_BASIC_BIT | VK_SUBGROUP_FEATURE_VOTE_BIT | VK_SUBGROUP_FEATURE_ARITHMETIC_BIT | VK_SUBGROUP_FEATURE_BALLOT_BIT | VK_SUBGROUP_FEATURE_SHUFFLE_BIT | VK_SUBGROUP_FEATURE_SHUFFLE_RELATIVE_BIT | VK_SUBGROUP_FEATURE_QUAD_BIT)</span> | <span title="defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">(VK_SUBGROUP_FEATURE_BASIC_BIT | VK_SUBGROUP_FEATURE_VOTE_BIT | VK_SUBGROUP_FEATURE_ARITHMETIC_BIT | VK_SUBGROUP_FEATURE_BALLOT_BIT | VK_SUBGROUP_FEATURE_SHUFFLE_BIT | VK_SUBGROUP_FEATURE_SHUFFLE_RELATIVE_BIT | VK_SUBGROUP_FEATURE_QUAD_BIT)</span> | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">(VK_SUBGROUP_FEATURE_BASIC_BIT)</span> | <span title="defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">(VK_SUBGROUP_FEATURE_BASIC_BIT)</span> |
| [subgroupSupportedStages](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVulkan11Properties.html) | <span title="defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">(VK_SHADER_STAGE_COMPUTE_BIT | VK_SHADER_STAGE_FRAGMENT_BIT)</span> | <span title="defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">(VK_SHADER_STAGE_COMPUTE_BIT | VK_SHADER_STAGE_FRAGMENT_BIT)</span> | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">(VK_SHADER_STAGE_COMPUTE_BIT)</span> | <span title="defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">(VK_SHADER_STAGE_COMPUTE_BIT)</span> |
| [supportedOperations](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSubgroupProperties.html) | - | - | - | - | - | <span title="defined in VkPhysicalDeviceSubgroupProperties (Vulkan 1.1)">(VK_SUBGROUP_FEATURE_BASIC_BIT)</span> | - | - |
| [supportedStages](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSubgroupProperties.html) | - | - | - | - | - | <span title="defined in VkPhysicalDeviceSubgroupProperties (Vulkan 1.1)">(VK_SHADER_STAGE_COMPUTE_BIT)</span> | - | - |
| **Vulkan 1.2** |
| [filterMinmaxImageComponentMapping](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSamplerFilterMinmaxProperties.html) | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_FALSE</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_FALSE</span> |
| [filterMinmaxSingleComponentFormats](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSamplerFilterMinmaxProperties.html) | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_FALSE</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_FALSE</span> |
| [framebufferIntegerColorSampleCounts](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVulkan12Properties.html) | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">(VK_SAMPLE_COUNT_1_BIT)</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">(VK_SAMPLE_COUNT_1_BIT)</span> |
| [independentResolve](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDepthStencilResolveProperties.html) | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_FALSE</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_FALSE</span> |
| [independentResolveNone](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDepthStencilResolveProperties.html) | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_FALSE</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_FALSE</span> |
| [maxDescriptorSetUpdateAfterBindInputAttachments (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">7</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">7</span> | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">0</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">0</span> |
| [maxDescriptorSetUpdateAfterBindSampledImages (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">500000</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">500000</span> | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">0</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">0</span> |
| [maxDescriptorSetUpdateAfterBindSamplers (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">500000</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">500000</span> | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">0</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">0</span> |
| [maxDescriptorSetUpdateAfterBindStorageBuffers (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">500000</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">500000</span> | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">0</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">0</span> |
| [maxDescriptorSetUpdateAfterBindStorageBuffersDynamic (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">4</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">4</span> | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">0</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">0</span> |
| [maxDescriptorSetUpdateAfterBindStorageImages (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">500000</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">500000</span> | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">0</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">0</span> |
| [maxDescriptorSetUpdateAfterBindUniformBuffers (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">72</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">72</span> | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">0</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">0</span> |
| [maxDescriptorSetUpdateAfterBindUniformBuffersDynamic (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">8</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">8</span> | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">0</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">0</span> |
| [maxPerStageDescriptorUpdateAfterBindInputAttachments (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">7</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">7</span> | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">0</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">0</span> |
| [maxPerStageDescriptorUpdateAfterBindSampledImages (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">500000</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">500000</span> | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">0</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">0</span> |
| [maxPerStageDescriptorUpdateAfterBindSamplers (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">500000</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">500000</span> | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">0</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">0</span> |
| [maxPerStageDescriptorUpdateAfterBindStorageBuffers (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">500000</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">500000</span> | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">0</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">0</span> |
| [maxPerStageDescriptorUpdateAfterBindStorageImages (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">500000</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">500000</span> | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">0</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">0</span> |
| [maxPerStageDescriptorUpdateAfterBindUniformBuffers (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">12</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">12</span> | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">0</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">0</span> |
| [maxPerStageUpdateAfterBindResources (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">500000</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">500000</span> | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">0</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">0</span> |
| [maxTimelineSemaphoreValueDifference (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceTimelineSemaphoreProperties.html) | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">2147483647</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">2147483647</span> | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">2147483647</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">2147483647</span> |
| [maxUpdateAfterBindDescriptorsInAllPools (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">0</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">0</span> |
| [quadDivergentImplicitLod](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_FALSE</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_FALSE</span> |
| [robustBufferAccessUpdateAfterBind](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_FALSE</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_FALSE</span> |
| [shaderDenormFlushToZeroFloat16](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFloatControlsProperties.html) | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_FALSE</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_FALSE</span> |
| [shaderDenormFlushToZeroFloat32](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFloatControlsProperties.html) | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_FALSE</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_FALSE</span> |
| [shaderDenormFlushToZeroFloat64](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFloatControlsProperties.html) | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_FALSE</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_FALSE</span> |
| [shaderDenormPreserveFloat16](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFloatControlsProperties.html) | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_FALSE</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_FALSE</span> |
| [shaderDenormPreserveFloat32](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFloatControlsProperties.html) | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_FALSE</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_FALSE</span> |
| [shaderDenormPreserveFloat64](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFloatControlsProperties.html) | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_FALSE</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_FALSE</span> |
| [shaderInputAttachmentArrayNonUniformIndexingNative](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_FALSE</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_FALSE</span> |
| [shaderRoundingModeRTEFloat16](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFloatControlsProperties.html) | - | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_TRUE</span> | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_FALSE</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_FALSE</span> |
| [shaderRoundingModeRTEFloat32](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFloatControlsProperties.html) | - | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_TRUE</span> | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_FALSE</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_FALSE</span> |
| [shaderRoundingModeRTEFloat64](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFloatControlsProperties.html) | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_FALSE</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_FALSE</span> |
| [shaderRoundingModeRTZFloat16](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFloatControlsProperties.html) | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_FALSE</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_FALSE</span> |
| [shaderRoundingModeRTZFloat32](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFloatControlsProperties.html) | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_FALSE</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_FALSE</span> |
| [shaderRoundingModeRTZFloat64](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFloatControlsProperties.html) | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_FALSE</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_FALSE</span> |
| [shaderSampledImageArrayNonUniformIndexingNative](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_FALSE</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_FALSE</span> |
| [shaderSignedZeroInfNanPreserveFloat16](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFloatControlsProperties.html) | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_TRUE</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_TRUE</span> | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_FALSE</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_FALSE</span> |
| [shaderSignedZeroInfNanPreserveFloat32](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFloatControlsProperties.html) | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_TRUE</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_TRUE</span> | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_FALSE</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_FALSE</span> |
| [shaderSignedZeroInfNanPreserveFloat64](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFloatControlsProperties.html) | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_FALSE</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_FALSE</span> |
| [shaderStorageBufferArrayNonUniformIndexingNative](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_FALSE</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_FALSE</span> |
| [shaderStorageImageArrayNonUniformIndexingNative](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_FALSE</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_FALSE</span> |
| [shaderUniformBufferArrayNonUniformIndexingNative](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_FALSE</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">VK_FALSE</span> |
| [supportedDepthResolveModes](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDepthStencilResolveProperties.html) | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">-</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">-</span> |
| [supportedStencilResolveModes](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDepthStencilResolveProperties.html) | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">-</span> | <span title="defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">-</span> |
| **Vulkan 1.3** |
| [integerDotProduct16BitMixedSignednessAccelerated](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">VK_FALSE</span> |
| [integerDotProduct16BitSignedAccelerated](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">VK_FALSE</span> |
| [integerDotProduct16BitUnsignedAccelerated](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">VK_FALSE</span> |
| [integerDotProduct32BitMixedSignednessAccelerated](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">VK_FALSE</span> |
| [integerDotProduct32BitSignedAccelerated](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">VK_FALSE</span> |
| [integerDotProduct32BitUnsignedAccelerated](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">VK_FALSE</span> |
| [integerDotProduct4x8BitPackedMixedSignednessAccelerated](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">VK_FALSE</span> |
| [integerDotProduct4x8BitPackedSignedAccelerated](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">VK_FALSE</span> |
| [integerDotProduct4x8BitPackedUnsignedAccelerated](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">VK_FALSE</span> |
| [integerDotProduct64BitMixedSignednessAccelerated](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">VK_FALSE</span> |
| [integerDotProduct64BitSignedAccelerated](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">VK_FALSE</span> |
| [integerDotProduct64BitUnsignedAccelerated](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">VK_FALSE</span> |
| [integerDotProduct8BitMixedSignednessAccelerated](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">VK_FALSE</span> |
| [integerDotProduct8BitSignedAccelerated](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">VK_FALSE</span> |
| [integerDotProduct8BitUnsignedAccelerated](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">VK_FALSE</span> |
| [integerDotProductAccumulatingSaturating16BitMixedSignednessAccelerated](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">VK_FALSE</span> |
| [integerDotProductAccumulatingSaturating16BitSignedAccelerated](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">VK_FALSE</span> |
| [integerDotProductAccumulatingSaturating16BitUnsignedAccelerated](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">VK_FALSE</span> |
| [integerDotProductAccumulatingSaturating32BitMixedSignednessAccelerated](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">VK_FALSE</span> |
| [integerDotProductAccumulatingSaturating32BitSignedAccelerated](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">VK_FALSE</span> |
| [integerDotProductAccumulatingSaturating32BitUnsignedAccelerated](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">VK_FALSE</span> |
| [integerDotProductAccumulatingSaturating4x8BitPackedMixedSignednessAccelerated](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">VK_FALSE</span> |
| [integerDotProductAccumulatingSaturating4x8BitPackedSignedAccelerated](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">VK_FALSE</span> |
| [integerDotProductAccumulatingSaturating4x8BitPackedUnsignedAccelerated](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">VK_FALSE</span> |
| [integerDotProductAccumulatingSaturating64BitMixedSignednessAccelerated](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">VK_FALSE</span> |
| [integerDotProductAccumulatingSaturating64BitSignedAccelerated](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">VK_FALSE</span> |
| [integerDotProductAccumulatingSaturating64BitUnsignedAccelerated](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">VK_FALSE</span> |
| [integerDotProductAccumulatingSaturating8BitMixedSignednessAccelerated](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">VK_FALSE</span> |
| [integerDotProductAccumulatingSaturating8BitSignedAccelerated](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">VK_FALSE</span> |
| [integerDotProductAccumulatingSaturating8BitUnsignedAccelerated](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">VK_FALSE</span> |
| [maxBufferSize (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceMaintenance4Properties.html) | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">1073741824</span> | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">1073741824</span> | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">1073741824</span> |
| [maxComputeWorkgroupSubgroups (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSubgroupSizeControlProperties.html) | - | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">0</span> |
| [maxDescriptorSetInlineUniformBlocks (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceInlineUniformBlockProperties.html) | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">4</span> | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">4</span> | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">4</span> |
| [maxDescriptorSetUpdateAfterBindInlineUniformBlocks (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceInlineUniformBlockProperties.html) | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">4</span> | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">4</span> | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">4</span> |
| [maxInlineUniformBlockSize (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceInlineUniformBlockProperties.html) | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">256</span> | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">256</span> | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">256</span> |
| [maxInlineUniformTotalSize (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceVulkan13Properties.html) | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">256</span> | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">256</span> | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">256</span> |
| [maxPerStageDescriptorInlineUniformBlocks (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceInlineUniformBlockProperties.html) | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">4</span> | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">4</span> | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">4</span> |
| [maxPerStageDescriptorUpdateAfterBindInlineUniformBlocks (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceInlineUniformBlockProperties.html) | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">4</span> | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">4</span> | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">4</span> |
| [requiredSubgroupSizeStages](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSubgroupSizeControlProperties.html) | - | - | - | - | - | - | - | <span title="defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">-</span> |
| **VK_KHR_depth_stencil_resolve** |
| [independentResolve](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDepthStencilResolveProperties.html) | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_FALSE_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_FALSE_</span> |
| [independentResolveNone](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDepthStencilResolveProperties.html) | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_FALSE_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_FALSE_</span> |
| [supportedDepthResolveModes](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDepthStencilResolveProperties.html) | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_-_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_-_</span> |
| [supportedStencilResolveModes](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDepthStencilResolveProperties.html) | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_-_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_-_</span> |
| **VK_KHR_maintenance3** |
| [maxMemoryAllocationSize (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceMaintenance3Properties.html) | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceMaintenance3Properties (Vulkan 1.1)">_1073741824_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">_1073741824_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">_1073741824_</span> |
| [maxPerSetDescriptors (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceMaintenance3Properties.html) | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceMaintenance3Properties (Vulkan 1.1)">_1024_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">_1024_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">_1024_</span> |
| **VK_KHR_maintenance4** |
| [maxBufferSize (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceMaintenance4Properties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_1073741824_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_1073741824_</span> | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_1073741824_</span> |
| **VK_KHR_multiview** |
| [maxMultiviewInstanceIndex (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceMultiviewProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">_134217727_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">_134217727_</span> | - | <span title="equivalent defined in VkPhysicalDeviceMultiviewProperties (Vulkan 1.1)">_134217727_</span> | - | <span title="equivalent defined in VkPhysicalDeviceMultiviewProperties (Vulkan 1.1)">_134217727_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">_134217727_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">_134217727_</span> |
| [maxMultiviewViewCount (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceMultiviewProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">_6_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">_6_</span> | - | <span title="equivalent defined in VkPhysicalDeviceMultiviewProperties (Vulkan 1.1)">_6_</span> | - | <span title="equivalent defined in VkPhysicalDeviceMultiviewProperties (Vulkan 1.1)">_6_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">_6_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan11Properties (Vulkan 1.1)">_6_</span> |
| **VK_KHR_shader_float_controls** |
| [shaderDenormFlushToZeroFloat16](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFloatControlsProperties.html) | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_FALSE_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_FALSE_</span> |
| [shaderDenormFlushToZeroFloat32](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFloatControlsProperties.html) | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_FALSE_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_FALSE_</span> |
| [shaderDenormFlushToZeroFloat64](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFloatControlsProperties.html) | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_FALSE_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_FALSE_</span> |
| [shaderDenormPreserveFloat16](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFloatControlsProperties.html) | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_FALSE_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_FALSE_</span> |
| [shaderDenormPreserveFloat32](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFloatControlsProperties.html) | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_FALSE_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_FALSE_</span> |
| [shaderDenormPreserveFloat64](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFloatControlsProperties.html) | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_FALSE_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_FALSE_</span> |
| [shaderRoundingModeRTEFloat16](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFloatControlsProperties.html) | - | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_TRUE_</span> | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_FALSE_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_FALSE_</span> |
| [shaderRoundingModeRTEFloat32](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFloatControlsProperties.html) | - | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_TRUE_</span> | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_FALSE_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_FALSE_</span> |
| [shaderRoundingModeRTEFloat64](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFloatControlsProperties.html) | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_FALSE_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_FALSE_</span> |
| [shaderRoundingModeRTZFloat16](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFloatControlsProperties.html) | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_FALSE_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_FALSE_</span> |
| [shaderRoundingModeRTZFloat32](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFloatControlsProperties.html) | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_FALSE_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_FALSE_</span> |
| [shaderRoundingModeRTZFloat64](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFloatControlsProperties.html) | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_FALSE_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_FALSE_</span> |
| [shaderSignedZeroInfNanPreserveFloat16](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFloatControlsProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_TRUE_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_TRUE_</span> | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_FALSE_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_FALSE_</span> |
| [shaderSignedZeroInfNanPreserveFloat32](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFloatControlsProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_TRUE_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_TRUE_</span> | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_FALSE_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_FALSE_</span> |
| [shaderSignedZeroInfNanPreserveFloat64](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceFloatControlsProperties.html) | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_FALSE_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_FALSE_</span> |
| **VK_KHR_shader_integer_dot_product** |
| [integerDotProduct16BitMixedSignednessAccelerated](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_VK_FALSE_</span> |
| [integerDotProduct16BitSignedAccelerated](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_VK_FALSE_</span> |
| [integerDotProduct16BitUnsignedAccelerated](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_VK_FALSE_</span> |
| [integerDotProduct32BitMixedSignednessAccelerated](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_VK_FALSE_</span> |
| [integerDotProduct32BitSignedAccelerated](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_VK_FALSE_</span> |
| [integerDotProduct32BitUnsignedAccelerated](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_VK_FALSE_</span> |
| [integerDotProduct4x8BitPackedMixedSignednessAccelerated](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_VK_FALSE_</span> |
| [integerDotProduct4x8BitPackedSignedAccelerated](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_VK_FALSE_</span> |
| [integerDotProduct4x8BitPackedUnsignedAccelerated](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_VK_FALSE_</span> |
| [integerDotProduct64BitMixedSignednessAccelerated](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_VK_FALSE_</span> |
| [integerDotProduct64BitSignedAccelerated](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_VK_FALSE_</span> |
| [integerDotProduct64BitUnsignedAccelerated](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_VK_FALSE_</span> |
| [integerDotProduct8BitMixedSignednessAccelerated](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_VK_FALSE_</span> |
| [integerDotProduct8BitSignedAccelerated](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_VK_FALSE_</span> |
| [integerDotProduct8BitUnsignedAccelerated](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_VK_FALSE_</span> |
| [integerDotProductAccumulatingSaturating16BitMixedSignednessAccelerated](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_VK_FALSE_</span> |
| [integerDotProductAccumulatingSaturating16BitSignedAccelerated](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_VK_FALSE_</span> |
| [integerDotProductAccumulatingSaturating16BitUnsignedAccelerated](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_VK_FALSE_</span> |
| [integerDotProductAccumulatingSaturating32BitMixedSignednessAccelerated](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_VK_FALSE_</span> |
| [integerDotProductAccumulatingSaturating32BitSignedAccelerated](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_VK_FALSE_</span> |
| [integerDotProductAccumulatingSaturating32BitUnsignedAccelerated](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_VK_FALSE_</span> |
| [integerDotProductAccumulatingSaturating4x8BitPackedMixedSignednessAccelerated](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_VK_FALSE_</span> |
| [integerDotProductAccumulatingSaturating4x8BitPackedSignedAccelerated](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_VK_FALSE_</span> |
| [integerDotProductAccumulatingSaturating4x8BitPackedUnsignedAccelerated](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_VK_FALSE_</span> |
| [integerDotProductAccumulatingSaturating64BitMixedSignednessAccelerated](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_VK_FALSE_</span> |
| [integerDotProductAccumulatingSaturating64BitSignedAccelerated](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_VK_FALSE_</span> |
| [integerDotProductAccumulatingSaturating64BitUnsignedAccelerated](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_VK_FALSE_</span> |
| [integerDotProductAccumulatingSaturating8BitMixedSignednessAccelerated](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_VK_FALSE_</span> |
| [integerDotProductAccumulatingSaturating8BitSignedAccelerated](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_VK_FALSE_</span> |
| [integerDotProductAccumulatingSaturating8BitUnsignedAccelerated](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceShaderIntegerDotProductProperties.html) | - | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_VK_FALSE_</span> |
| **VK_KHR_timeline_semaphore** |
| [maxTimelineSemaphoreValueDifference (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceTimelineSemaphoreProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_2147483647_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_2147483647_</span> | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_2147483647_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_2147483647_</span> |
| **VK_EXT_descriptor_indexing** |
| [maxDescriptorSetUpdateAfterBindInputAttachments (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_7_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_7_</span> | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_0_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_0_</span> |
| [maxDescriptorSetUpdateAfterBindSampledImages (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_500000_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_500000_</span> | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_0_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_0_</span> |
| [maxDescriptorSetUpdateAfterBindSamplers (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_500000_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_500000_</span> | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_0_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_0_</span> |
| [maxDescriptorSetUpdateAfterBindStorageBuffers (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_500000_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_500000_</span> | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_0_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_0_</span> |
| [maxDescriptorSetUpdateAfterBindStorageBuffersDynamic (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_4_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_4_</span> | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_0_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_0_</span> |
| [maxDescriptorSetUpdateAfterBindStorageImages (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_500000_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_500000_</span> | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_0_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_0_</span> |
| [maxDescriptorSetUpdateAfterBindUniformBuffers (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_72_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_72_</span> | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_0_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_0_</span> |
| [maxDescriptorSetUpdateAfterBindUniformBuffersDynamic (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_8_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_8_</span> | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_0_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_0_</span> |
| [maxPerStageDescriptorUpdateAfterBindInputAttachments (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_7_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_7_</span> | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_0_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_0_</span> |
| [maxPerStageDescriptorUpdateAfterBindSampledImages (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_500000_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_500000_</span> | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_0_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_0_</span> |
| [maxPerStageDescriptorUpdateAfterBindSamplers (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_500000_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_500000_</span> | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_0_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_0_</span> |
| [maxPerStageDescriptorUpdateAfterBindStorageBuffers (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_500000_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_500000_</span> | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_0_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_0_</span> |
| [maxPerStageDescriptorUpdateAfterBindStorageImages (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_500000_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_500000_</span> | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_0_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_0_</span> |
| [maxPerStageDescriptorUpdateAfterBindUniformBuffers (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_12_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_12_</span> | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_0_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_0_</span> |
| [maxPerStageUpdateAfterBindResources (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_500000_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_500000_</span> | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_0_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_0_</span> |
| [maxUpdateAfterBindDescriptorsInAllPools (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_0_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_0_</span> |
| [quadDivergentImplicitLod](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_FALSE_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_FALSE_</span> |
| [robustBufferAccessUpdateAfterBind](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_FALSE_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_FALSE_</span> |
| [shaderInputAttachmentArrayNonUniformIndexingNative](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_FALSE_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_FALSE_</span> |
| [shaderSampledImageArrayNonUniformIndexingNative](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_FALSE_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_FALSE_</span> |
| [shaderStorageBufferArrayNonUniformIndexingNative](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_FALSE_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_FALSE_</span> |
| [shaderStorageImageArrayNonUniformIndexingNative](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_FALSE_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_FALSE_</span> |
| [shaderUniformBufferArrayNonUniformIndexingNative](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceDescriptorIndexingProperties.html) | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_FALSE_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_FALSE_</span> |
| **VK_EXT_inline_uniform_block** |
| [maxDescriptorSetInlineUniformBlocks (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceInlineUniformBlockProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_4_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_4_</span> | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_4_</span> |
| [maxDescriptorSetUpdateAfterBindInlineUniformBlocks (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceInlineUniformBlockProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_4_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_4_</span> | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_4_</span> |
| [maxInlineUniformBlockSize (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceInlineUniformBlockProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_256_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_256_</span> | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_256_</span> |
| [maxPerStageDescriptorInlineUniformBlocks (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceInlineUniformBlockProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_4_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_4_</span> | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_4_</span> |
| [maxPerStageDescriptorUpdateAfterBindInlineUniformBlocks (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceInlineUniformBlockProperties.html) | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_4_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_4_</span> | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_4_</span> |
| **VK_EXT_sampler_filter_minmax** |
| [filterMinmaxImageComponentMapping](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSamplerFilterMinmaxProperties.html) | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_FALSE_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_FALSE_</span> |
| [filterMinmaxSingleComponentFormats](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSamplerFilterMinmaxProperties.html) | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_FALSE_</span> | <span title="equivalent defined in VkPhysicalDeviceVulkan12Properties (Vulkan 1.2)">_VK_FALSE_</span> |
| **VK_EXT_subgroup_size_control** |
| [maxComputeWorkgroupSubgroups (max)](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSubgroupSizeControlProperties.html) | - | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_0_</span> |
| [requiredSubgroupSizeStages](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkPhysicalDeviceSubgroupSizeControlProperties.html) | - | - | - | - | - | - | - | <span title="equivalent defined in VkPhysicalDeviceVulkan13Properties (Vulkan 1.3)">_-_</span> |

## Vulkan Profile Queue Families

* "valueWithRegularFont" indicates that the queue family property is defined in the profile (hover over the value to view the structure and corresponding extension or core API version where the queue family property is defined in the profile)
* "_valueWithItalicFont_" indicates that the queue family property is not defined in the profile but an equivalent queue family property is (hover over the symbol to view the structure and corresponding extension or core API version where the queue family property is defined in the profile)
* "-" indicates that neither the queue family property nor an equivalent queue family property is defined in the profile
* Empty cells next to the properties of a particular queue family definition section indicate that the profile does not have a corresponding queue family definition

| Profiles | VP_KHR_roadmap_2022 | VP_KHR_roadmap_2024 | VP_ANDROID_baseline_2021 | VP_ANDROID_baseline_2022 | VP_LUNARG_minimum_requirements_1_0 | VP_LUNARG_minimum_requirements_1_1 | VP_LUNARG_minimum_requirements_1_2 | VP_LUNARG_minimum_requirements_1_3 |
|----------|---------------------|---------------------|--------------------------|--------------------------|------------------------------------|------------------------------------|------------------------------------|------------------------------------|

## Vulkan Profile Formats

> **NOTE**: The table below only contains formats and properties explicitly defined by the corresponding profile. Further formats and properties may be supported by the profiles in accordance to the requirements defined in the "Required Format Support" section of the appropriate version of the Vulkan API Specification.

* "valueWithRegularFont" indicates that the format property is defined in the profile (hover over the value to view the structure and corresponding extension or core API version where the format property is defined in the profile)
* "_valueWithItalicFont_" indicates that the format property is not defined in the profile but an equivalent format property is (hover over the symbol to view the structure and corresponding extension or core API version where the format property is defined in the profile)
* "-" indicates that neither the format property nor an equivalent format property is defined in the profile
* Empty cells next to the properties of a particular format definition section indicate that the profile does not have a corresponding format definition

| Profiles | VP_KHR_roadmap_2022 | VP_KHR_roadmap_2024 | VP_ANDROID_baseline_2021 | VP_ANDROID_baseline_2022 | VP_LUNARG_minimum_requirements_1_0 | VP_LUNARG_minimum_requirements_1_1 | VP_LUNARG_minimum_requirements_1_2 | VP_LUNARG_minimum_requirements_1_3 |
|----------|---------------------|---------------------|--------------------------|--------------------------|------------------------------------|------------------------------------|------------------------------------|------------------------------------|
| **VK_FORMAT_A1R5G5B5_UNORM_PACK16** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_A2B10G10R10_UINT_PACK32** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_A2B10G10R10_UNORM_PACK32** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_A8B8G8R8_SINT_PACK32** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_A8B8G8R8_SNORM_PACK32** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_A8B8G8R8_SRGB_PACK32** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_A8B8G8R8_UINT_PACK32** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_A8B8G8R8_UNORM_PACK32** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_ASTC_10x10_SRGB_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_ASTC_10x10_UNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_ASTC_10x5_SRGB_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_ASTC_10x5_UNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_ASTC_10x6_SRGB_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_ASTC_10x6_UNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_ASTC_10x8_SRGB_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_ASTC_10x8_UNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_ASTC_12x10_SRGB_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_ASTC_12x10_UNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_ASTC_12x12_SRGB_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_ASTC_12x12_UNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_ASTC_4x4_SRGB_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_ASTC_4x4_UNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_ASTC_5x4_SRGB_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_ASTC_5x4_UNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_ASTC_5x5_SRGB_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_ASTC_5x5_UNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_ASTC_6x5_SRGB_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_ASTC_6x5_UNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_ASTC_6x6_SRGB_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_ASTC_6x6_UNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_ASTC_8x5_SRGB_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_ASTC_8x5_UNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_ASTC_8x6_SRGB_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_ASTC_8x6_UNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_ASTC_8x8_SRGB_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_ASTC_8x8_UNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_B10G11R11_UFLOAT_PACK32** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_B4G4R4A4_UNORM_PACK16** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_B8G8R8A8_SRGB** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_B8G8R8A8_UNORM** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_D16_UNORM** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_DEPTH_STENCIL_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_DEPTH_STENCIL_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_D32_SFLOAT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_E5B9G9R9_UFLOAT_PACK32** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_EAC_R11G11_SNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_EAC_R11G11_UNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_EAC_R11_SNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_EAC_R11_UNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_ETC2_R8G8B8A1_SRGB_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_ETC2_R8G8B8A1_UNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_ETC2_R8G8B8A8_SRGB_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_ETC2_R8G8B8A8_UNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_ETC2_R8G8B8_SRGB_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_ETC2_R8G8B8_UNORM_BLOCK** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R16G16B16A16_SFLOAT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R16G16B16A16_SINT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R16G16B16A16_SNORM** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |
| **VK_FORMAT_R16G16B16A16_UINT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R16G16_SFLOAT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R16G16_SINT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R16G16_SNORM** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |
| **VK_FORMAT_R16G16_UINT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R16_SFLOAT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R16_SINT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R16_SNORM** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |
| **VK_FORMAT_R16_UINT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R16_UNORM** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |
| **VK_FORMAT_R32G32B32A32_SFLOAT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R32G32B32A32_SINT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R32G32B32A32_UINT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R32G32_SFLOAT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R32G32_SINT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R32G32_UINT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R32_SFLOAT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R32_SINT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_ATOMIC_BIT | VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_ATOMIC_BIT | VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT | VK_FORMAT_FEATURE_STORAGE_IMAGE_ATOMIC_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT | VK_FORMAT_FEATURE_STORAGE_IMAGE_ATOMIC_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R32_UINT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_ATOMIC_BIT | VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_ATOMIC_BIT | VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT | VK_FORMAT_FEATURE_STORAGE_IMAGE_ATOMIC_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT | VK_FORMAT_FEATURE_STORAGE_IMAGE_ATOMIC_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R5G6B5_UNORM_PACK16** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R8G8B8A8_SINT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R8G8B8A8_SNORM** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R8G8B8A8_SRGB** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">-</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R8G8B8A8_UINT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R8G8B8A8_UNORM** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_STORAGE_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_STORAGE_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R8G8_SINT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R8G8_SNORM** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R8G8_UINT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R8G8_UNORM** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R8_SINT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R8_SNORM** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R8_UINT** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| **VK_FORMAT_R8_UNORM** |
| [bufferFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_UNIFORM_TEXEL_BUFFER_BIT | VK_FORMAT_FEATURE_VERTEX_BUFFER_BIT)</span> |  |  |  |  |
| [linearTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
| [optimalTilingFeatures](https://www.khronos.org/registry/vulkan/specs/1.1-extensions/man/html/VkFormatProperties3.html) |  |  | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> | <span title="defined in VkFormatProperties (Vulkan 1.0)">(VK_FORMAT_FEATURE_SAMPLED_IMAGE_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BIT | VK_FORMAT_FEATURE_COLOR_ATTACHMENT_BLEND_BIT | VK_FORMAT_FEATURE_BLIT_SRC_BIT | VK_FORMAT_FEATURE_BLIT_DST_BIT | VK_FORMAT_FEATURE_SAMPLED_IMAGE_FILTER_LINEAR_BIT | VK_FORMAT_FEATURE_TRANSFER_SRC_BIT | VK_FORMAT_FEATURE_TRANSFER_DST_BIT)</span> |  |  |  |  |
